Name: polkit-rule-gparted-as-root
Version: 0.1
Release: alt1
Summary: Rule for polkit set authenticate by password root for gparted
License: GPLv3+
Group: Other
Url: https://altlinux.org/Polkit
BuildArch: noarch
Requires: polkit gparted

%description
%summary.
%description -l ru_RU.UTF-8
Правло для polkit, чтобы gparted можно было запустить только с паролем суперпользователя

%install
mkdir -p %buildroot/%_sysconfdir/polkit-1/rules.d
cat>%buildroot/%_sysconfdir/polkit-1/rules.d/25-%name.rules<<EOF
polkit.addAdminRule(function(action, subject) {
        if (action.id == "org.gnome.gparted") {
                return ["unix-group:root"];
        }
});
EOF

%files
%_sysconfdir/polkit-1/rules.d/25-%name.rules

%changelog
* Tue Dec 28 2021 Artem Proskurnev <tema@altlinux.org> 0.1-alt1
- Initial build
